Index: src/sas/sasgui/guiframe/local_perspectives/plotting/parameters_panel_slicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/parameters_panel_slicer.py	(revision 71b25b2f747cc10829b568b34cf5991283ea28c1)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/parameters_panel_slicer.py	(revision cac18280b5e5a540e44f8629f6eb6ea1ef2d9a16)
@@ -3,5 +3,4 @@
 import wx
 import wx.lib.newevent
-import time
 from sas.sascalc.dataloader.readers.cansas_reader import Reader
 from sas.sasgui.guiframe.events import EVT_SLICER_PARS
@@ -37,9 +36,7 @@
         self.auto_save = None
         self.path = None
-        self.type_list = ["SectorInteractor", "AnnulusInteractor",
-                          "BoxInteractorX", "BoxInteractorY"]
-        self.type_select = wx.ComboBox(parent=self, choices=self.type_list)
-        self.append_name = wx.TextCtrl(parent=self, id=wx.NewId(),
-                                       name="Append to file name:")
+        self.type_list = []
+        self.type_select = None
+        self.append_name = None
         self.data_list = None
         label = "Right-click on 2D plot for slicer options"
@@ -49,5 +46,5 @@
         # Bindings
         self.parent.Bind(EVT_SLICER, self.onEVT_SLICER)
-        self.parent.Bind(EVT_SLICER_PARS, self.onParamChange)
+        self.Bind(EVT_SLICER_PARS, self.onParamChange)
         self.Bind(EVT_APPLY_PARAMS, self.apply_params_list_and_process)
         self.Bind(EVT_AUTO_SAVE, self.save_files)
@@ -128,4 +125,7 @@
             self.bck.Add(text, (iy, ix), (1, 1),
                          wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+            self.type_list = ["SectorInteractor", "AnnulusInteractor",
+                              "BoxInteractorX", "BoxInteractorY"]
+            self.type_select = wx.ComboBox(parent=self, choices=self.type_list)
             self.Bind(wx.EVT_COMBOBOX, self.onChangeSlicer)
             index = self.type_select.FindString(type)
@@ -174,8 +174,10 @@
             default_value = ""
             for key in params:
-                default_value += "_{0}-".format(key)
-                default_value += "{:.5f}".format(params[key])
+                default_value += "_{0}".format(key).split(" [")[0]
+                default_value += "-{:.5f}".format(params[key])
             append_text = "Append to file name:"
             append = wx.StaticText(self, -1, append_text, style=wx.ALIGN_LEFT)
+            self.append_name = wx.TextCtrl(parent=self, id=wx.NewId(),
+                                           name="Append to file name:")
             self.append_name.SetValue(default_value)
             self.append_name.Enable(False)
@@ -246,9 +248,9 @@
             # parent here is plotter2D
             event = SlicerParameterEvent(type=self.type, params=params)
-            wx.PostEvent(self, event)
+            wx.PostEvent(self.parent, event)
 
     def on_batch_slicer(self, evt=None):
         """
-        Method invoked with batch slicing button is pressed
+        Method invoked when batch slicing button is pressed
         :param evt: Event triggering hide/show of the batch slicer parameters
         """
@@ -271,9 +273,8 @@
 
         # Post an event to apply appropriate slicer params to each slicer
-        # Event needed due to how apply_slicer_to_plot works
-        event = apply_params(params=params, plot_list=apply_to_list,
+        event_params = apply_params(params=params, apply_to_list=apply_to_list,
                              auto_save=save, append=append,
                              path=path, type=type)
-        wx.PostEvent(self, event)
+        wx.PostEvent(self, event_params)
 
     def onChangeSlicer(self, evt):
@@ -292,4 +293,7 @@
         # Skip redrawing the current plot if no change
         if self.parent == plot and self.type == type:
+            return
+        # Do not draw a slicer on a 1D plot
+        if not isinstance(plot, ModelPanel2D):
             return
         if type is None:
@@ -345,5 +349,5 @@
         """
         # Apply parameter list to each plot as desired
-        for item in evt.plot_list:
+        for item in evt.apply_to_list:
             event = SlicerParameterEvent(type=evt.type, params=evt.params)
             wx.PostEvent(item, event)
@@ -351,5 +355,5 @@
         if evt.auto_save:
             event = auto_save(append_to_name=evt.append,
-                              file_list=evt.plot_list,
+                              file_list=evt.apply_to_list,
                               path=evt.path, type=evt.type)
             wx.PostEvent(self, event)
@@ -380,5 +384,5 @@
                         data_dic[item] = plot.plots[item]
         for item, data1d in data_dic.iteritems():
-            base = item.split(".")[0]
+            base = ('.').join(item.split('.')[:-1])
             save_to = evt.path + "\\" + base + append + ".xml"
             writer.write(save_to, data1d)
